English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   support.FS-UAE (http://eab.abime.net/forumdisplay.php?f=122)
-   -   fs-uae-launcher and fs-uae-arcade (dev versions) linux problems [Solved] (http://eab.abime.net/showthread.php?t=75856)

esc 18 November 2014 00:36

fs-uae-launcher and fs-uae-arcade (dev versions) linux problems [Solved]
 
Hey Frode,

I got fs-uae to compile and work just fine using the b20 version on your site, but I also compiled it directly from your github source and that is working well. So, thanks!

However, I can't get fs-uae-launcher OR fs-uae-arcade to work. I'll attach the output here. I'm kind of...at a loss. I'm fairly certain I'm using python 2.7. I've never been a python guy so please excuse any silliness on my part. Thanks!

output of fs-uae-launcher:

Code:

➜  ~  fs-uae-launcher
('checking', '/usr/bin/Portable.ini')
('checking', '/usr/Portable.ini')
('checking', '/Portable.ini')
no Portable.ini found in search path
base_dir not decided yet, checking FS_UAE_BASE_DIR
using default base_dir
('- checking', u'/home/ryan/.config/fs-uae-launcher/base-dir')
('- checking', u'/home/ryan/.config/fs-uae/base-dir')
XDG user dir DOCUMENTS => u'/home/ryan/documents'
('base dir is', u'/home/ryan/documents/FS-UAE')
fs-uae-launcher
2.5.20dev
devel
enabling except hook
enable tread exception handler
('Linux', 'sid', '3.17-2.dmz.2-liquorix-amd64', '#1 ZEN SMP PREEMPT Debian 3.17-3 (2014-11-06)', 'x86_64', '')
[u'/usr/local/bin/fs-uae-launcher']
FS-UAE Launcher 2.5.20dev

Unhandled exception detected in thread MainThread:
  ImportError:LaunchHandler.py:<module>:9

Traceback (most recent call last):
  File "/usr/local/bin/fs-uae-launcher", line 75, in <module>
    from fs_uae_launcher.ConfigChecker import ConfigChecker
  File "/usr/local/lib/python2.7/dist-packages/fs_uae_launcher/ConfigChecker.py", line 7, in <module>
    from .Config import Config
  File "/usr/local/lib/python2.7/dist-packages/fs_uae_launcher/Config.py", line 28, in <module>
    from fsgs.platform import PlatformHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/platform.py", line 43, in <module>
    from .platforms.amiga import AmigaPlatformHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/platforms/amiga.py", line 8, in <module>
    from fsgs.amiga.runner import AmigaRunner
  File "/usr/local/lib/python2.7/dist-packages/fsgs/amiga/runner.py", line 11, in <module>
    from fsgs.amiga.LaunchHandler import LaunchHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/amiga/LaunchHandler.py", line 9, in <module>
    import urllib.parse
ImportError: No module named parse


Unhandled exception detected in thread MainThread:
  ImportError:LaunchHandler.py:<module>:9

Traceback (most recent call last):
  File "/usr/local/bin/fs-uae-launcher", line 75, in <module>
    from fs_uae_launcher.ConfigChecker import ConfigChecker
  File "/usr/local/lib/python2.7/dist-packages/fs_uae_launcher/ConfigChecker.py", line 7, in <module>
    from .Config import Config
  File "/usr/local/lib/python2.7/dist-packages/fs_uae_launcher/Config.py", line 28, in <module>
    from fsgs.platform import PlatformHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/platform.py", line 43, in <module>
    from .platforms.amiga import AmigaPlatformHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/platforms/amiga.py", line 8, in <module>
    from fsgs.amiga.runner import AmigaRunner
  File "/usr/local/lib/python2.7/dist-packages/fsgs/amiga/runner.py", line 11, in <module>
    from fsgs.amiga.LaunchHandler import LaunchHandler
  File "/usr/local/lib/python2.7/dist-packages/fsgs/amiga/LaunchHandler.py", line 9, in <module>
    import urllib.parse
ImportError: No module named parse

output of fs-uae-arcade:

Code:

('checking', '/usr/bin/Portable.ini')
('checking', '/usr/Portable.ini')
('checking', '/Portable.ini')
no Portable.ini found in search path
base_dir not decided yet, checking FS_UAE_BASE_DIR
using default base_dir
('- checking', u'/home/ryan/.config/fs-uae-launcher/base-dir')
('- checking', u'/home/ryan/.config/fs-uae/base-dir')
XDG user dir DOCUMENTS => u'/home/ryan/documents'
('base dir is', u'/home/ryan/documents/FS-UAE')
fs-uae-arcade
2.5.20dev
devel
enabling except hook
enable tread exception handler
('Linux', 'sid', '3.17-2.dmz.2-liquorix-amd64', '#1 ZEN SMP PREEMPT Debian 3.17-3 (2014-11-06)', 'x86_64', '')
[u'/usr/local/bin/fs-uae-arcade']
sending quit signal

Unhandled exception detected in thread MainThread:
  SyntaxError:dialog.py:<module>:2

Traceback (most recent call last):
  File "/usr/local/bin/fs-uae-arcade", line 18, in <module>
    import game_center.main
  File "/usr/local/lib/python2.7/dist-packages/game_center/main.py", line 4, in <module>
    import fsui
  File "/usr/local/lib/python2.7/dist-packages/fsui/__init__.py", line 21, in <module>
    from .qt.dialog import Dialog
  File "/usr/local/lib/python2.7/dist-packages/fsui/qt/dialog.py", line 2, in <module>
    from .windowbase import WindowBase
  File "/usr/local/lib/python2.7/dist-packages/fsui/qt/windowbase.py", line 17
    def __init__(self, parent, *args, title="", **kwargs):
                                          ^
SyntaxError: invalid syntax


Unhandled exception detected in thread MainThread:
  SyntaxError:dialog.py:<module>:2

Traceback (most recent call last):
  File "/usr/local/bin/fs-uae-arcade", line 18, in <module>
    import game_center.main
  File "/usr/local/lib/python2.7/dist-packages/game_center/main.py", line 4, in <module>
    import fsui
  File "/usr/local/lib/python2.7/dist-packages/fsui/__init__.py", line 21, in <module>
    from .qt.dialog import Dialog
  File "/usr/local/lib/python2.7/dist-packages/fsui/qt/dialog.py", line 2, in <module>
    from .windowbase import WindowBase
  File "/usr/local/lib/python2.7/dist-packages/fsui/qt/windowbase.py", line 17
    def __init__(self, parent, *args, title="", **kwargs):
                                          ^
SyntaxError: invalid syntax

Also:

Code:

➜  ~  python --version
Python 2.7.8

I'm running an up-to-date debian sid based build, amd64. Thanks!

esc 18 November 2014 00:51

If I try launching either of those with python3.4:

Code:

➜  ~  python3.4 /usr/local/bin/fs-uae-launcher
Traceback (most recent call last):
  File "/usr/local/bin/fs-uae-launcher", line 38, in <module>
    from fsgs.FSGSDirectories import FSGSDirectories
ImportError: No module named 'fsgs'


esc 18 November 2014 01:02

Nevermind, please disregard.

For those having similar issues, I re-downloaded the fs-uae-launcher and fs-uae-arcade archives (dev versions) from Frode's website. I then installed as normal, with one change. Previously I installed this way:
Code:

sudo python setup.py install
However, it appears that the dev versions rely on python 3.3+ (using 3.4 here), so when I installed them this way instead:
Code:

sudo python3.4 setup.py install
Everything worked fine after that. I can now run /usr/local/bin/fs-uae-arcade and /usr/local/bin/fs-uae-launcher just perfectly. I needed the following packages (debian sid):
python3-pyqt5.qtopengl, python3-opengl, python3-pyqt5, as well as a base python 3.4 installation as well. Cheers :)


All times are GMT +2. The time now is 14:04.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, vBulletin Solutions Inc.

Page generated in 0.09271 seconds with 11 queries